import request from '@/utils/request'

// 查询公文管理列表
export function listEhsDocument(query) {
  return request({
    url: '/ehs/ehsDocument/list',
    method: 'get',
    params: query
  })
}

// 查询公文管理详细
export function getEhsDocument(id) {
  return request({
    url: '/ehs/ehsDocument/' + id,
    method: 'get'
  })
}

export function getEhsDocumentById(id) {
  return request({
    url: '/ehs/ehsDocument/formData/' + id,
    method: 'get'
  })
}

// 获取拟稿部门下拉列表
export function getAllDraftDept() {
  return request({
    url: '/ehs/ehsDocument/getAllDraftDept',
    method: 'get'
  })
}

// 根据公文id获取公文流转信息
export function getDocTransferById(id) {
  return request({
    url: '/ehs/ehsDocument/transfer/' + id,
    method: 'get'
  })
}

// 新增公文管理
export function addEhsDocument(data) {
  return request({
    url: '/ehs/ehsDocument',
    method: 'post',
    data: data
  })
}

// 修改公文管理
export function updateEhsDocument(data) {
  return request({
    url: '/ehs/ehsDocument',
    method: 'put',
    data: data
  })
}

// 删除公文管理
export function delEhsDocument(id) {
  return request({
    url: '/ehs/ehsDocument/' + id,
    method: 'delete'
  })
}
